漏洞信息详情

Citrix XenCenterWeb 'config/writeconfig.php'静态代码注入漏洞

  • CNNVD编号:CNNVD-200910-299
  • 危害等级: 高危
  • CVE编号: CVE-2009-3760
  • 漏洞类型: 代码注入
  • 发布时间: 2009-07-07
  • 威胁类型: 远程
  • 更新时间: 2009-10-22
  • 厂        商: citrix
  • 漏洞来源: Alberto Trivero t...

漏洞简介

Citrix XenCenterWeb是用于管理Citrix XenServer环境的web界面。

XenCenterWeb的多个模块没有正确的验证用户所提供的输入,远程攻击者可以通过向服务器提交恶意请求执行静态代码攻击。

远程攻击者可以通过/var/www/config/writeconfig.php文件向/usr/local/lib/php/include/config.ini.php文件写入任意数据,因此可以在机器上执行任意命令。

漏洞公告

目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://www.citrix.com

参考网址

来源: VUPEN

名称: ADV-2009-2925

链接:http://www.vupen.com/english/advisories/2009/2925

来源: VUPEN

名称: ADV-2009-2924

链接:http://www.vupen.com/english/advisories/2009/2924

来源: BID

名称: 36703

链接:http://www.securityfocus.com/bid/36703

来源: poppler.freedesktop.org

链接:http://poppler.freedesktop.org/

来源: ftp.foolabs.com

链接:ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.02pl4.patch

来源: FEDORA

名称: FEDORA-2009-10845

链接:https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00784.html

来源: FEDORA

名称: FEDORA-2009-10823

链接:https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00750.html

来源: REDHAT

名称: RHSA-2009:1504

链接:https://rhn.redhat.com/errata/RHSA-2009-1504.html

来源: bugzilla.redhat.com

链接:https://bugzilla.redhat.com/show_bug.cgi?id=526915

来源: XF

名称: xpdf-splashbitmap-bo(53793)

链接:http://xforce.iss.net/xforce/xfdb/53793

来源: UBUNTU

名称: USN-850-1

链接:http://www.ubuntu.com/usn/USN-850-1

来源: MANDRIVA

名称: MDVSA-2009:287

链接:http://www.mandriva.com/security/advisories?name=MDVSA-2009:287

来源: SECTRACK

名称: 1023029

链接:http://securitytracker.com/id?1023029

来源: SECUNIA

名称: 37159

链接:http://secunia.com/advisories/37159

来源: SECUNIA

名称: 37114

链接:http://secunia.com/advisories/37114

来源: SECUNIA

名称: 37054

链接:http://secunia.com/advisories/37054

来源: SECUNIA

名称: 37053

链接:http://secunia.com/advisories/37053

来源: SECUNIA

名称: 37034

链接:http://secunia.com/advisories/37034

来源: SUSE

名称: SUSE-SR:2009:018

链接:http://lists.opensuse.org/opensuse-security-announce/2009-11/msg00004.html

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多